Project

General

Profile

Improvement #2085

Enhance eclipsoid template for latest supported servlet version - publish v3.2.0

Added by Henning Blohm over 1 year ago. Updated about 1 year ago.

Status:
Resolved
Priority:
Normal
Assignee:
Category:
z2-base-tools-eclipsoid
Target version:
Start date:
27.02.2021
Due date:
% Done:

0%

Estimated time:
origin:

Description

Acceptance Criteria

  • the web.xml template should show the latest supported version by our jetty version (X)

<?xml version="1.0" encoding="UTF-8"?>
<web-app version="4.0" xmlns="http://xmlns.jcp.org/xml/ns/javaee" 
   xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
   xsi:schemaLocation="http://xmlns.jcp.org/xml/ns/javaee http://xmlns.jcp.org/xml/ns/javaee/web-app_4_0.xsd">
</web-app>
  • There should be no more v3 artifacts (X)
  • we should reach version 3.2.0 (X)

Implementation Hints

  • The update site repo needs to be moved to office repos. (X)

Related issues

Related to z2-Environment - Bug #2095: Eclipsoid creates bad folder "src.tests"Resolved17.06.2021Henning Blohm

Actions

Also available in: Atom PDF